"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateProfileList = void 0;
const react_1 = __importDefault(require("react")); // importing FunctionComponent
const styles = {
    prList: {
        color: "white",
        textAlign: "left",
        fontSize: "0.4em",
    },
    prListLink: {
        color: "white",
    },
};
//export class RenderProfileList extends React.Component<TreeBackend> {
function generateProfileList(tree) {
    //const listData: React.ReactElement[] = [];
    const profileList = tree.search("");
    console.log("profiles ", profileList.length);
    const itemList = profileList.map((profile) => (react_1.default.createElement("tr", { key: profile.profileId.itemLink },
        react_1.default.createElement("td", null,
            react_1.default.createElement("a", { href: "/profile/" + profile.profileId.itemLink, style: styles.prListLink }, profile.name)),
        react_1.default.createElement("td", null, profile.birthDate),
        react_1.default.createElement("td", null, profile.deathDate))));
    return (react_1.default.createElement("div", { className: "container" },
        react_1.default.createElement("table", { style: styles.prList },
            react_1.default.createElement("thead", null,
                react_1.default.createElement("tr", null,
                    react_1.default.createElement("th", null, "Name"),
                    react_1.default.createElement("th", null, "Birth"),
                    react_1.default.createElement("th", null, "Death"))),
            react_1.default.createElement("tbody", null, itemList))));
}
exports.generateProfileList = generateProfileList;
