"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rectangle = void 0;
const point_1 = require("./point");
class Rectangle {
    constructor(topLeft, size) {
        this.topLeft = topLeft;
        this.size = size;
    }
    getTopLeft() {
        return this.topLeft;
    }
    getBottomRight() {
        return new point_1.Point(this.topLeft.x + this.size.x, this.topLeft.y + this.size.y);
    }
    getSize() {
        return this.size;
    }
}
exports.Rectangle = Rectangle;
