import { ProfileInfo } from "./profile-info";
import { Rectangle } from "./rectangle";
import { Family } from "simple-family-tree-model";
export declare class FamilyLayout {
    familyId: string;
    familyInfo: Family | undefined;
    rect: Rectangle;
    profiles: Map<string, ProfileInfo>;
    parents: string[];
    children: string[];
    constructor(familyId: string, rect: Rectangle);
    getOuterBounds: () => Rectangle;
}
