"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FamilyLayout = void 0;
class FamilyLayout {
    constructor(familyId, rect) {
        this.getOuterBounds = () => {
            const outerRect = this.rect;
            for (const profileLayout of this.profiles.values()) {
                if (outerRect.topLeft.x < profileLayout.layout.topLeft.x) {
                    outerRect.topLeft.x = profileLayout.layout.topLeft.x;
                }
                if (outerRect.topLeft.y < profileLayout.layout.topLeft.y) {
                    outerRect.topLeft.y = profileLayout.layout.topLeft.y;
                }
                if (outerRect.getBottomRight().x < profileLayout.layout.getBottomRight().x) {
                    outerRect.size.x =
                        profileLayout.layout.getBottomRight().x - outerRect.topLeft.x;
                }
                if (outerRect.getBottomRight().y < profileLayout.layout.getBottomRight().y) {
                    outerRect.size.y =
                        profileLayout.layout.getBottomRight().y - outerRect.topLeft.y;
                }
            }
            console.log(outerRect);
            return outerRect;
        };
        this.familyId = familyId;
        this.rect = rect;
        this.profiles = new Map();
        this.parents = [];
        this.children = [];
    }
}
exports.FamilyLayout = FamilyLayout;
