"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenderFamilySVG = void 0;
const react_1 = __importDefault(require("react")); // importing FunctionComponent
class RenderFamilySVG extends react_1.default.Component {
    render() {
        return (react_1.default.createElement("a", { href: "/family/" + this.props.familyId, className: "Family", key: this.props.familyId },
            react_1.default.createElement("rect", { x: this.props.rect.topLeft.x, y: this.props.rect.topLeft.y, rx: "4", width: this.props.rect.size.x, height: this.props.rect.size.y, fill: "white", key: this.props.familyId })));
    }
}
exports.RenderFamilySVG = RenderFamilySVG;
