import React from "react";
import { ProfileSex } from "simple-family-tree-model";
import { ProfileInfo } from "./profile-info";
import { Point } from "./point";
export declare const profileSvgStyles: {
    readonly smallText: {
        readonly fontSize: "0.9rem";
    };
    readonly mainText: {
        readonly fontSize: "1.5rem";
    };
    readonly profileBox: {
        readonly femaleColor: "lightpink";
        readonly maleColor: "lightblue";
        readonly unknownSexColor: "white";
        readonly verticalOffsetChild: 60;
        readonly verticalOffsetParent: -100;
        readonly horizontalOffset: 250;
        readonly size: Point;
    };
};
export declare function getSexColor(sex: ProfileSex): string;
export declare class RenderProfileSVG extends React.Component<ProfileInfo> {
    render(): JSX.Element;
}
