import { Point } from "./point";
import { FamilyLayout } from "./family-layout";
import { FamilyLink, ProfileLink, TreeBackend } from "simple-family-tree-model";
export declare class RootLayout {
    families: Map<string, FamilyLayout>;
    profiles: Map<string, string>;
    anchorPosition: Point;
    anchorProfile: string;
    size: Point;
    constructor();
    profileAlreadyInLayout: (profileId: ProfileLink) => boolean;
    findFamilyPosition: (tree: TreeBackend, family: FamilyLink) => Point;
}
