"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalTreeLayout = void 0;
const react_1 = __importDefault(require("react"));
const create_family_layout_1 = require("./create-family-layout");
const generate_vertical_tree_layout_1 = require("./generate-vertical-tree-layout");
class VerticalTreeLayout extends react_1.default.Component {
    constructor() {
        super(...arguments);
        this.layout = (0, create_family_layout_1.createFamilyLayout)(this.props.tree, this.props.focusProfile, 2, 2);
    }
    render() {
        return (react_1.default.createElement("svg", { width: this.props.layout.size.x, height: this.props.layout.size.y }, (0, generate_vertical_tree_layout_1.generateVerticalTreeLayout)(this.props.layout)));
    }
}
exports.VerticalTreeLayout = VerticalTreeLayout;
